<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:14 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>JavaPlugin (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="JavaPlugin (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/plugins/JavaLibraryPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html" title="class in org.gradle.api.plugins"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/plugins/JavaPlugin.html" target="_top">Frames</a></li>
<li><a href="JavaPlugin.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.plugins</div>
<h2 title="Class JavaPlugin" class="title">Class JavaPlugin</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.gradle.api.plugins.JavaPlugin</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;org.gradle.api.internal.project.ProjectInternal&gt;</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">JavaPlugin</span>
extends <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;org.gradle.api.internal.project.ProjectInternal&gt;</pre>
<div class="block"><p>A <a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api"><code>Plugin</code></a> which compiles and tests Java source, and assembles it into a JAR file.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#API_CONFIGURATION_NAME">API_CONFIGURATION_NAME</a></strong></code>
<div class="block">The name of the API configuration, where dependencies exported by a component at compile time should
 be declared.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#API_ELEMENTS_CONFIGURATION_NAME">API_ELEMENTS_CONFIGURATION_NAME</a></strong></code>
<div class="block">The name of the configuration used by consumers to get the API elements of a component, that is to say
 the dependencies which are required to compile against that component.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#CLASSES_TASK_NAME">CLASSES_TASK_NAME</a></strong></code>
<div class="block">The name of the lifecycle task which outcome is that all the classes of a component are generated.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#COMPILE_CLASSPATH_CONFIGURATION_NAME">COMPILE_CLASSPATH_CONFIGURATION_NAME</a></strong></code>
<div class="block">The name of the compile classpath configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#COMPILE_CONFIGURATION_NAME">COMPILE_CONFIGURATION_NAME</a></strong></code>
<div class="block"><strong>Deprecated.</strong>&nbsp;
<div class="block"><i>Users should prefer <a href="../../../../org/gradle/api/plugins/JavaPlugin.html#API_CONFIGURATION_NAME"><code>API_CONFIGURATION_NAME</code></a> or <a href="../../../../org/gradle/api/plugins/JavaPlugin.html#IMPLEMENTATION_CONFIGURATION_NAME"><code>IMPLEMENTATION_CONFIGURATION_NAME</code></a>.</i></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#COMPILE_JAVA_TASK_NAME">COMPILE_JAVA_TASK_NAME</a></strong></code>
<div class="block">The name of the task which compiles Java sources.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#COMPILE_ONLY_CONFIGURATION_NAME">COMPILE_ONLY_CONFIGURATION_NAME</a></strong></code>
<div class="block">The name of the configuration that is used to declare dependencies which are only required to compile a component,
 but not at runtime.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#COMPILE_TEST_JAVA_TASK_NAME">COMPILE_TEST_JAVA_TASK_NAME</a></strong></code>
<div class="block">The name of the task which compiles the test Java sources.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#IMPLEMENTATION_CONFIGURATION_NAME">IMPLEMENTATION_CONFIGURATION_NAME</a></strong></code>
<div class="block">The name of the implementation configuration, where dependencies that are only used internally by
 a component should be declared.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#JAR_TASK_NAME">JAR_TASK_NAME</a></strong></code>
<div class="block">The name of the task which generates the component main jar.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#JAVADOC_TASK_NAME">JAVADOC_TASK_NAME</a></strong></code>
<div class="block">The name of the task which generates the component javadoc.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#PROCESS_RESOURCES_TASK_NAME">PROCESS_RESOURCES_TASK_NAME</a></strong></code>
<div class="block">The name of the task that processes resources.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#PROCESS_TEST_RESOURCES_TASK_NAME">PROCESS_TEST_RESOURCES_TASK_NAME</a></strong></code>
<div class="block">The name of the task which processes the test resources.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#RUNTIME_CLASSPATH_CONFIGURATION_NAME">RUNTIME_CLASSPATH_CONFIGURATION_NAME</a></strong></code>
<div class="block">The name of the runtime classpath configuration, used by a component to query its own runtime classpath.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#RUNTIME_CONFIGURATION_NAME">RUNTIME_CONFIGURATION_NAME</a></strong></code>
<div class="block"><strong>Deprecated.</strong>&nbsp;
<div class="block"><i>Consumers should use <a href="../../../../org/gradle/api/plugins/JavaPlugin.html#RUNTIME_ELEMENTS_CONFIGURATION_NAME"><code>RUNTIME_ELEMENTS_CONFIGURATION_NAME</code></a> instead.</i></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#RUNTIME_ELEMENTS_CONFIGURATION_NAME">RUNTIME_ELEMENTS_CONFIGURATION_NAME</a></strong></code>
<div class="block">The name of the runtime elements configuration, that should be used by consumers
 to query the runtime dependencies of a component.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#RUNTIME_ONLY_CONFIGURATION_NAME">RUNTIME_ONLY_CONFIGURATION_NAME</a></strong></code>
<div class="block">The name of the runtime only dependencies configuration, used to declare dependencies
 that should only be found at runtime.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#TEST_CLASSES_TASK_NAME">TEST_CLASSES_TASK_NAME</a></strong></code>
<div class="block">The name of the lifecycle task which outcome is that all test classes of a component are generated.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#TEST_COMPILE_CLASSPATH_CONFIGURATION_NAME">TEST_COMPILE_CLASSPATH_CONFIGURATION_NAME</a></strong></code>
<div class="block">The name of the test compile classpath configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#TEST_COMPILE_CONFIGURATION_NAME">TEST_COMPILE_CONFIGURATION_NAME</a></strong></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#TEST_COMPILE_ONLY_CONFIGURATION_NAME">TEST_COMPILE_ONLY_CONFIGURATION_NAME</a></strong></code>
<div class="block">The name of the configuration that should be used to declare dependencies which are only required
 to compile the tests, but not when running them.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#TEST_IMPLEMENTATION_CONFIGURATION_NAME">TEST_IMPLEMENTATION_CONFIGURATION_NAME</a></strong></code>
<div class="block">The name of the test implementation dependencies configuration.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#TEST_RUNTIME_CLASSPATH_CONFIGURATION_NAME">TEST_RUNTIME_CLASSPATH_CONFIGURATION_NAME</a></strong></code>
<div class="block">The name of the test runtime classpath configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#TEST_RUNTIME_CONFIGURATION_NAME">TEST_RUNTIME_CONFIGURATION_NAME</a></strong></code>
<div class="block"><strong>Deprecated.</strong>&nbsp;
<div class="block"><i>Use <a href="../../../../org/gradle/api/plugins/JavaPlugin.html#TEST_RUNTIME_CLASSPATH_CONFIGURATION_NAME"><code>TEST_RUNTIME_CLASSPATH_CONFIGURATION_NAME</code></a> instead.</i></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#TEST_RUNTIME_ONLY_CONFIGURATION_NAME">TEST_RUNTIME_ONLY_CONFIGURATION_NAME</a></strong></code>
<div class="block">The name of the test runtime only dependencies configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#TEST_TASK_NAME">TEST_TASK_NAME</a></strong></code>
<div class="block">The name of the task which triggers execution of tests.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#JavaPlugin(org.gradle.api.model.ObjectFactory)">JavaPlugin</a></strong>(<a href="../../../../org/gradle/api/model/ObjectFactory.html" title="interface in org.gradle.api.model">ObjectFactory</a>&nbsp;objectFactory)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/plugins/JavaPlugin.html#apply(org.gradle.api.internal.project.ProjectInternal)">apply</a></strong>(org.gradle.api.internal.project.ProjectInternal&nbsp;project)</code>
<div class="block">Apply this plugin to the given target object.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone()" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize()" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass()" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode()" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify()" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll()" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString()" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait()" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long)" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait(long,%20int)" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="PROCESS_RESOURCES_TASK_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROCESS_RESOURCES_TASK_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> PROCESS_RESOURCES_TASK_NAME</pre>
<div class="block">The name of the task that processes resources.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.PROCESS_RESOURCES_TASK_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="CLASSES_TASK_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLASSES_TASK_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CLASSES_TASK_NAME</pre>
<div class="block">The name of the lifecycle task which outcome is that all the classes of a component are generated.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.CLASSES_TASK_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="COMPILE_JAVA_TASK_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPILE_JAVA_TASK_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> COMPILE_JAVA_TASK_NAME</pre>
<div class="block">The name of the task which compiles Java sources.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.COMPILE_JAVA_TASK_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="PROCESS_TEST_RESOURCES_TASK_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>PROCESS_TEST_RESOURCES_TASK_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> PROCESS_TEST_RESOURCES_TASK_NAME</pre>
<div class="block">The name of the task which processes the test resources.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.PROCESS_TEST_RESOURCES_TASK_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TEST_CLASSES_TASK_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEST_CLASSES_TASK_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TEST_CLASSES_TASK_NAME</pre>
<div class="block">The name of the lifecycle task which outcome is that all test classes of a component are generated.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.TEST_CLASSES_TASK_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="COMPILE_TEST_JAVA_TASK_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPILE_TEST_JAVA_TASK_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> COMPILE_TEST_JAVA_TASK_NAME</pre>
<div class="block">The name of the task which compiles the test Java sources.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.COMPILE_TEST_JAVA_TASK_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TEST_TASK_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEST_TASK_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TEST_TASK_NAME</pre>
<div class="block">The name of the task which triggers execution of tests.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.TEST_TASK_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="JAR_TASK_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>JAR_TASK_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> JAR_TASK_NAME</pre>
<div class="block">The name of the task which generates the component main jar.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.JAR_TASK_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="JAVADOC_TASK_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>JAVADOC_TASK_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> JAVADOC_TASK_NAME</pre>
<div class="block">The name of the task which generates the component javadoc.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.JAVADOC_TASK_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="API_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>API_CONFIGURATION_NAME</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> API_CONFIGURATION_NAME</pre>
<div class="block">The name of the API configuration, where dependencies exported by a component at compile time should
 be declared.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.API_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="IMPLEMENTATION_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IMPLEMENTATION_CONFIGURATION_NAME</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> IMPLEMENTATION_CONFIGURATION_NAME</pre>
<div class="block">The name of the implementation configuration, where dependencies that are only used internally by
 a component should be declared.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.IMPLEMENTATION_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="API_ELEMENTS_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>API_ELEMENTS_CONFIGURATION_NAME</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> API_ELEMENTS_CONFIGURATION_NAME</pre>
<div class="block">The name of the configuration used by consumers to get the API elements of a component, that is to say
 the dependencies which are required to compile against that component.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.API_ELEMENTS_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="COMPILE_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPILE_CONFIGURATION_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> COMPILE_CONFIGURATION_NAME</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i>Users should prefer <a href="../../../../org/gradle/api/plugins/JavaPlugin.html#API_CONFIGURATION_NAME"><code>API_CONFIGURATION_NAME</code></a> or <a href="../../../../org/gradle/api/plugins/JavaPlugin.html#IMPLEMENTATION_CONFIGURATION_NAME"><code>IMPLEMENTATION_CONFIGURATION_NAME</code></a>.</i></div>
<div class="block">The name of the configuration that is used to declare API or implementation dependencies. This configuration
 is deprecated.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.COMPILE_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="COMPILE_ONLY_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPILE_ONLY_CONFIGURATION_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> COMPILE_ONLY_CONFIGURATION_NAME</pre>
<div class="block">The name of the configuration that is used to declare dependencies which are only required to compile a component,
 but not at runtime.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.COMPILE_ONLY_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="RUNTIME_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RUNTIME_CONFIGURATION_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> RUNTIME_CONFIGURATION_NAME</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i>Consumers should use <a href="../../../../org/gradle/api/plugins/JavaPlugin.html#RUNTIME_ELEMENTS_CONFIGURATION_NAME"><code>RUNTIME_ELEMENTS_CONFIGURATION_NAME</code></a> instead.</i></div>
<div class="block">The name of the "runtime" configuration. This configuration is deprecated and doesn't represent a correct view of
 the runtime dependencies of a component.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.RUNTIME_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="RUNTIME_ONLY_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RUNTIME_ONLY_CONFIGURATION_NAME</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> RUNTIME_ONLY_CONFIGURATION_NAME</pre>
<div class="block">The name of the runtime only dependencies configuration, used to declare dependencies
 that should only be found at runtime.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.RUNTIME_ONLY_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="RUNTIME_CLASSPATH_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RUNTIME_CLASSPATH_CONFIGURATION_NAME</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> RUNTIME_CLASSPATH_CONFIGURATION_NAME</pre>
<div class="block">The name of the runtime classpath configuration, used by a component to query its own runtime classpath.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.RUNTIME_CLASSPATH_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="RUNTIME_ELEMENTS_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RUNTIME_ELEMENTS_CONFIGURATION_NAME</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> RUNTIME_ELEMENTS_CONFIGURATION_NAME</pre>
<div class="block">The name of the runtime elements configuration, that should be used by consumers
 to query the runtime dependencies of a component.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.RUNTIME_ELEMENTS_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="COMPILE_CLASSPATH_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>COMPILE_CLASSPATH_CONFIGURATION_NAME</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> COMPILE_CLASSPATH_CONFIGURATION_NAME</pre>
<div class="block">The name of the compile classpath configuration.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.COMPILE_CLASSPATH_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TEST_COMPILE_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEST_COMPILE_CONFIGURATION_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TEST_COMPILE_CONFIGURATION_NAME</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.TEST_COMPILE_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TEST_IMPLEMENTATION_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEST_IMPLEMENTATION_CONFIGURATION_NAME</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TEST_IMPLEMENTATION_CONFIGURATION_NAME</pre>
<div class="block">The name of the test implementation dependencies configuration.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.TEST_IMPLEMENTATION_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TEST_COMPILE_ONLY_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEST_COMPILE_ONLY_CONFIGURATION_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TEST_COMPILE_ONLY_CONFIGURATION_NAME</pre>
<div class="block">The name of the configuration that should be used to declare dependencies which are only required
 to compile the tests, but not when running them.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.TEST_COMPILE_ONLY_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TEST_RUNTIME_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEST_RUNTIME_CONFIGURATION_NAME</h4>
<pre>public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TEST_RUNTIME_CONFIGURATION_NAME</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i>Use <a href="../../../../org/gradle/api/plugins/JavaPlugin.html#TEST_RUNTIME_CLASSPATH_CONFIGURATION_NAME"><code>TEST_RUNTIME_CLASSPATH_CONFIGURATION_NAME</code></a> instead.</i></div>
<div class="block">The name of the configuration that represents the component runtime classpath. This configuration doesn't
 represent the exact runtime dependencies and therefore is deprecated.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.TEST_RUNTIME_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TEST_RUNTIME_ONLY_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEST_RUNTIME_ONLY_CONFIGURATION_NAME</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TEST_RUNTIME_ONLY_CONFIGURATION_NAME</pre>
<div class="block">The name of the test runtime only dependencies configuration.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.TEST_RUNTIME_ONLY_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TEST_COMPILE_CLASSPATH_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TEST_COMPILE_CLASSPATH_CONFIGURATION_NAME</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TEST_COMPILE_CLASSPATH_CONFIGURATION_NAME</pre>
<div class="block">The name of the test compile classpath configuration.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.TEST_COMPILE_CLASSPATH_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="TEST_RUNTIME_CLASSPATH_CONFIGURATION_NAME">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>TEST_RUNTIME_CLASSPATH_CONFIGURATION_NAME</h4>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public static final&nbsp;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TEST_RUNTIME_CLASSPATH_CONFIGURATION_NAME</pre>
<div class="block">The name of the test runtime classpath configuration.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.4</dd>
<dt><span class="strong">See Also:</span></dt><dd><a href="../../../../constant-values.html#org.gradle.api.plugins.JavaPlugin.TEST_RUNTIME_CLASSPATH_CONFIGURATION_NAME">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="JavaPlugin(org.gradle.api.model.ObjectFactory)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>JavaPlugin</h4>
<pre>@Inject
public&nbsp;JavaPlugin(<a href="../../../../org/gradle/api/model/ObjectFactory.html" title="interface in org.gradle.api.model">ObjectFactory</a>&nbsp;objectFactory)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="apply(org.gradle.api.internal.project.ProjectInternal)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>apply</h4>
<pre>public&nbsp;void&nbsp;apply(org.gradle.api.internal.project.ProjectInternal&nbsp;project)</pre>
<div class="block"><strong>Description copied from interface:&nbsp;<code><a href="../../../../org/gradle/api/Plugin.html#apply(T)">Plugin</a></code></strong></div>
<div class="block">Apply this plugin to the given target object.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/Plugin.html#apply(T)">apply</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/Plugin.html" title="interface in org.gradle.api">Plugin</a>&lt;org.gradle.api.internal.project.ProjectInternal&gt;</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>project</code> - The target object</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/plugins/JavaLibraryPlugin.html" title="class in org.gradle.api.plugins"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/plugins/JavaPluginConvention.html" title="class in org.gradle.api.plugins"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/plugins/JavaPlugin.html" target="_top">Frames</a></li>
<li><a href="JavaPlugin.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
